# Console and Logging
CONFIG_LOG=y


# Shell and Built-in Commands
CONFIG_SHELL=y
CONFIG_DEVICE_SHELL=n
CONFIG_DEVMEM_SHELL=n


# --- STACK SIZE UPDATES (Fixes the MPU/Stack Fault) ---
CONFIG_MAIN_STACK_SIZE=4096
CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=4096
CONFIG_BT_RX_STACK_SIZE=4096

# Storage and Settings (NVS)
CONFIG_FLASH=y
CONFIG_FLASH_MAP=y
CONFIG_NVS=y
CONFIG_SETTINGS=y

# Network and OpenThread
# CONFIG_NETWORKING=y
# CONFIG_NET_L2_OPENTHREAD=y
# CONFIG_OPENTHREAD=y
# CONFIG_OPENTHREAD_SHELL=y
# CONFIG_OPENTHREAD_DEFAULT_TX_POWER=8

# CONFIG_OPENTHREAD_COAP=y
# CONFIG_OPENTHREAD_MANUAL_START=y


# Enable Lasertag Shared Modules
CONFIG_LASERTAG_UTILS=n
CONFIG_THREAD_MGMT=n
CONFIG_OPENTHREAD_FTD=y
CONFIG_BLE_MGMT=n
CONFIG_GAME_MGMT=y
CONFIG_FS_MGMT=y
CONFIG_FS_MGMT_LOG_LEVEL_DBG=y
